package koreajang.action;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import koreajang.KJAction;
import koreajang.dao.DelReplyQuery;
import koreajang.etc.KJ;

public class DelReplyAction extends KJAction {
	DelReplyQuery query = new DelReplyQuery();

	public DelReplyAction(HttpServletRequest request,
			HttpServletResponse response) throws IOException {
		super(request, response);
	}

	@Override
	public String doAction() throws ServletException, IOException, SQLException {
		String forwardURI = KJ.BBS + "/view.jsp";
		int comment_id  = Integer.parseInt(request.getParameter("comment_id"));
		int article_id  = Integer.parseInt(request.getParameter("article_id"));
		String passwd = request.getParameter("passwd");
		
		if( validateReplyPass(passwd, comment_id)) {
			if(KJ.doDelete) {
				query.deleteCommentCompletely(comment_id);
			} else {
				query.deleteComment(comment_id);
			}
		} else {
			System.out.println("  ۾ ȿ ʽϴ.");
		}
		
		forwardURI = addParam(forwardURI, "article_id", ""+article_id);
		if( request.getParameter("fromCategory") != null )
			forwardURI = addParam(forwardURI, "fromCategory", request.getParameter("fromCategory"));
		if( request.getParameter("fromPage") != null)
			forwardURI = addParam(forwardURI, "fromPage", request.getParameter("fromPage"));
		return forwardURI;
	}
	
	public boolean validateReplyPass(String passwd, int comment_id) {
		String sql = "select password from " +KJ.CommentTable + " where comment_id = ? ";
		String compare = query.getString(sql, comment_id);
		System.out.println("pass:" + passwd + " compare:" + compare);
		return passwd.equals(compare);
	}

}
