package koreajang.action;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import koreajang.KJAction;
import koreajang.dao.MainQuery;
import koreajang.etc.KJ;
import koreajang.etc.KJList;
import koreajang.etc.KJPage;

public class MainAction extends KJAction {
	MainQuery query = new MainQuery();

	public MainAction(HttpServletRequest request, HttpServletResponse response) throws IOException {
		super(request, response);
	}

	@Override
	public String doAction() throws ServletException, IOException, SQLException {
	/* Ӽ ѱ Ŀ  ѱ   */
	/* main.jsp    parameter */
		String forwardURI = KJ.BBS+"/main.jsp";
//		KJList articleList = new KJList();
//		KJPage pageInfo = new KJPage();
		int category = 0;	// ⺻
		int page = 1;	// ⺻
		
		// page Ȯ
		if( request.getParameter("page") != null ) {
			page = Integer.parseInt(request.getParameter("page"));
		}

		// īװ Ȯ
		if( request.getParameter("category") != null ) {
			category = Integer.parseInt(request.getParameter("category"));
		}
		
		
		// 
//		articleList = getArticleListNpageInfo(pageNum, category, pageInfo);
//		request.setAttribute("articleList", articleList);
//		request.setAttribute("pageInfo", pageInfo);
//		request.setAttribute("category", category);
		forwardURI = addParam(forwardURI, "page", ""+page);	// int -> string   [""+] ߰
		forwardURI = addParam(forwardURI, "category", ""+category);
		System.out.println(forwardURI);
		return forwardURI;
	} 
	
	public KJPage getPageInfo(int category, int pageNum) {
		int totalRowNum = 1;

		// īװ شϴ  ü ϱ
		if( category == 0 ) {
			totalRowNum = query.getArticleListCount();
		} else {
			totalRowNum = query.getArticleListCount(category);
		}
		return new KJPage(category, pageNum, KJ.NlistPerPage, totalRowNum, KJ.NpageNumberOnce);

	}

	public KJList getArticleList(KJPage pageInfo) {
		KJList articleList = new KJList();
		int startRow = 1;
		int endRow = 1;
		int category = 0;
//		int totalRowNum = 1;
//		
//		// īװ شϴ  ü ϱ
//		if( category == 0 ) {
//			totalRowNum = query.getArticleListCount();
//		} else {
//			totalRowNum = query.getArticleListCount(category);
//		}
//		
//		//   ó
//		pageInfo = new KJPage(category, pageNum, KJ.NlistPerPage, totalRowNum, KJ.NpageNumberOnce);
//		startRow = pageInfo.getStartRow();
//		endRow = pageInfo.getEndRow();
		
		category = pageInfo.getCategory();
		startRow = pageInfo.getStartRow();
		endRow = pageInfo.getEndRow();
		
		// ۸  
		if( category == 0 ) {
			articleList = query.getArticleList(startRow, endRow);
		} else {
			articleList = query.getArticleList(startRow, endRow, category);
		}
		
		return articleList;
	}
	
	
	

}
