package koreajang.action;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import koreajang.KJAction;
import koreajang.bean.ArticleBean;
import koreajang.dao.ViewQuery;
import koreajang.etc.KJ;
import koreajang.etc.KJList;

public class ViewAction extends KJAction {
	ViewQuery query = new ViewQuery();

	public ViewAction(HttpServletRequest request, HttpServletResponse response)
	throws IOException {
		super(request, response);
	}

	@Override
	public String doAction() throws ServletException, IOException, SQLException {
	/*  ȸ  ó */
	/* ó  Ӽ Ѱ  */
		String forwardURI = KJ.BBS + "/view.jsp";
		//ArticleBean aBean = new ArticleBean();
		//KJList commentList = new KJList();
		int article_id  = reqInt("article_id");
		
		// ȸ 
		query.hitArticle(article_id);
		
		//aBean = getArticle(article_id);
		//commentList = getCommentlist(article_id);
		//request.setAttribute("article", aBean);
		//request.setAttribute("commentList", commentList);
		
		if( request.getParameter("category") != null )
			forwardURI = addParam(forwardURI, "category", request.getParameter("category"));
		if( request.getParameter("page") != null)
			forwardURI = addParam(forwardURI, "page", request.getParameter("page"));
		
		forwardURI = addParam(forwardURI, "article_id", ""+article_id);
		
		return forwardURI;
	}
	
	public KJList getCommentlist(int article_id) {
		return query.getCommentlist(article_id);
	}

	public ArticleBean getArticle(int article_id) {
		return query.getArticle(article_id);
	}

}
