package koreajang.dao;

import java.sql.SQLException;

import koreajang.KJQuery;
import koreajang.bean.CommentBean;
import koreajang.etc.KJ;
import koreajang.etc.KJMap;

public class ReplyQuery extends KJQuery {
	public static final String nextCommentID =
//		"SELECT MAX(COMMENT_ID) FROM " + KJ.CommentTable + " WHERE ARTICLE_ID = ?";
		"SELECT MAX(COMMENT_ID) FROM " + KJ.CommentTable;
	public static final String writeComment =
		"INSERT INTO " + KJ.CommentTable + "( COMMENT_ID, ARTICLE_ID," +
				" IS_DELETE, COMMENTS, WRITE_DATE, NAME, PASSWORD)" +
				" VALUES( ?, ?, ?, ?, SYSTIMESTAMP, ?, ?)";


	public int writeComment(CommentBean cBean) throws SQLException{
		String query = new String(ReplyQuery.writeComment);
		KJMap params = new KJMap();
		params.put(1, cBean.getCOMMENT_ID());
		params.put(2, cBean.getARTICLE_ID());
		
		params.put(3, cBean.getIS_DELETE());
		params.put(4, cBean.getCOMMENTS());
		//WRITE_DATE  systimestamp  ü
		params.put(5, cBean.getNAME());
		params.put(6, cBean.getPASSWORD());
				
		return setDB(query, params);
	}
	
//	public int nextCommentID(CommentBean cBean) {
	public int nextCommentID() {
		String query = new String(ReplyQuery.nextCommentID);
		int cid = 1;
		connect();
		try {
			pstmt = conn.prepareStatement(query);
//			pstmt.setInt(1, cBean.getARTICLE_ID());
			rs = pstmt.executeQuery();
			
			if(rs.next()){
				cid = rs.getInt(1) + 1;
			} else {
				cid = KJ.Start;
			}
			
		} catch(SQLException e) {
			e.printStackTrace();
			return cid;
		}
		finally {
			disconnect();
		}
		
		return cid;
	}
	


}
