package koreajang.etc;


public class KJPage {
	//   
	private int totalRowNum;	// ü  
	private int pageCapacity;	//    ִ  
	private int currentPageNum;	//  
	//startRow  getter 
	//endRow  getter 
	
	//   
	private int pageNumCapacity;	// ѹ  number 
	//TotalPageNum  getter 
	//startPage  getter 
	//endPage  getter 
	
	//Ÿ
	private int category;
	
	public KJPage(){
		setCategory(0);
		setCurrentPageNum(1);
		setTotalRowNum(1);
		setPageCapacity(15);
		setPageNumCapacity(10);
	}
	
	public KJPage(int category, int currentPageNum, int pageCapacity, int totalRowNum, int pageNumCapacity) {
		setCategory(category);
		setCurrentPageNum(currentPageNum);
		setPageCapacity(pageCapacity);
		setTotalRowNum(totalRowNum);
		setPageNumCapacity(pageNumCapacity);
	}
	public String getHtml() {
		String url = KJ.BBS + "/main.jsp" + "?category=" + category;
		StringBuffer html = new StringBuffer();
		boolean hasBefore = true;
		boolean hasAfter = true;
		int startPage = getStartPage();
		int endPage = getEndPage();
		if( startPage == 1) {
			hasBefore = false;
		}
		if( endPage == getTotalPageNum() ) {
			hasAfter = false;
		}
		
		
		if(hasBefore) {
			html.append("<a href=\"" + url + "&page=" + (startPage-pageNumCapacity) + "\"> ");
			html.append(" ");
			html.append(" </a>" );
		} else {
			html.append(" ");
		}
		
		for(int i = startPage; i <= endPage; i++) {
			if( i == currentPageNum ) {
				html.append(" " + i + " ");
			}
			else {
				html.append("<a href=\"" + url + "&page=" + i + "\"> ");
				html.append(" " + i + " ");
				html.append(" </a>" );
			}
		}
		
		if(hasAfter) {
			html.append("<a href=\"" + url + "&page=" + (endPage+1) + "\"> ");
			html.append(" ");
			html.append(" </a>" );
		} else {
			html.append(" ");
		}

		return html.toString();
	}
	
	public int getTotalPageNum() {
		return ( (totalRowNum-1) / (pageCapacity) ) +1;
	}
	public int getStartPage() {
		if(currentPageNum == 1) {
			return 1;
		}
		int current = ((currentPageNum-1) / pageNumCapacity) + 1;
		return ((current-1) * pageNumCapacity) +1;
	}
	public int getEndPage() {
		int endPage = currentPageNum * pageNumCapacity;
		
		if( endPage > getTotalPageNum() ) {
			endPage = getTotalPageNum();
		}

		return endPage;
	}
	public int getStartRow(){
		int startRow = 1;
		if(currentPageNum < 0 || pageCapacity < 0) {
			return 1; 
		}
		
		startRow = pageCapacity*(currentPageNum-1) + 1;
		return startRow;
	}
	public int getEndRow(){
		if(currentPageNum < 0 || pageCapacity < 0) {
			return 1; 
		}
		
		int endRow = pageCapacity*currentPageNum; 
		if( endRow > getTotalRowNum() ) {
			endRow = getTotalRowNum();
		}
		return endRow;
	}
	
	
	public int getCurrentPageNum() {
		return currentPageNum;
	}
	public void setCurrentPageNum(int currentRowNum) {
		this.currentPageNum = currentRowNum;
	}
	public int getTotalRowNum() {
		return totalRowNum;
	}
	public void setTotalRowNum(int totalRowNum) {
		this.totalRowNum = totalRowNum;
	}
	public int getPageCapacity() {
		return pageCapacity;
	}
	public void setPageCapacity(int pageCapacity) {
		this.pageCapacity = pageCapacity;
	}
	public int getPageNumCapacity() {
		return pageNumCapacity;
	}
	public void setPageNumCapacity(int pageNumCapacity) {
		this.pageNumCapacity = pageNumCapacity;
	}

	public int getCategory() {
		return category;
	}

	public void setCategory(int category) {
		this.category = category;
	}

}
