package koreajang.etc;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;

import koreajang.bean.ArticleBean;
import koreajang.bean.CommentBean;

public class KJUtil {
	public static String category(int category) {
		if( category > KJ.categoryList.length || category < KJ.categoryList.length )
			return KJ.categoryList[0];
		return KJ.categoryList[category];
	}
	
	public static String replyGap(ArticleBean aBean) {
		int level = aBean.getARTICLE_LEVEL();
		StringBuffer result = new StringBuffer();
		String gap = new String("&nbsp;&nbsp;");
		
		if( level <= 1) return "";
		
		for(int i = 1; i < level ; i++) {
			result.append(gap);
		}
		
		return result.toString();
	}
	
	public static boolean isToday(ArticleBean aBean) {
		DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd");
		String today = dateformat.format(Calendar.getInstance().getTime());
		String articleDate = dateformat.format(aBean.getWRITE_DATE());
		
		if( today.equals(articleDate))
			return true;
		return false;
	}
	
	public static String toDay(ArticleBean aBean) {
		DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd");
		return dateformat.format(aBean.getWRITE_DATE());
	}
	public static String toTime(ArticleBean aBean) {
		DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		return dateformat.format(aBean.getWRITE_DATE());
	}
	
	public static String toDay(CommentBean cBean) {
		DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd");
		return dateformat.format(cBean.getWRITE_DATE());
	}
	public static String toTime(CommentBean cBean) {
		DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		return dateformat.format(cBean.getWRITE_DATE());
	}
	
	public static String setBR(String input) {
		String output = input.replaceAll("\n", "<br>");
		return output;
	}
	
}
