package koreajang;

import java.io.IOException;
import java.sql.SQLException;
import java.util.HashMap;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public abstract class KJAction {
	protected HttpServletRequest request = null;
	protected HttpServletResponse response = null;
	protected KJQuery query = null;
	protected HashMap<Integer, Object> params = new HashMap<Integer, Object>();
	
	/*  ʱȭ ̰ */
	private void initAction() {
		response.setCharacterEncoding("euc-kr");
	}

	public KJAction(HttpServletRequest request, HttpServletResponse response) throws IOException {
		this.request = request;
		this.response = response;
		initAction();
	}

	public abstract String doAction() throws ServletException, IOException, SQLException ;
	public String doAction(HttpServletRequest request, HttpServletResponse response) 
	throws ServletException, IOException, SQLException {
		this.request = request;
		this.response = response;
		return doAction();
	}
	
	public int reqInt(String param) {
		return Integer.parseInt( request.getParameter(param) );
	}
	public String reqStr(String param) {
		return request.getParameter(param);
	}
	
}
