package koreajang.action;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import sun.util.logging.resources.logging;

import koreajang.KJAction;
import koreajang.bean.ProductBean;
import koreajang.dao.LoanQuery;
import koreajang.dao.ProductViewQuery;
import koreajang.etc.KJMap;

public class RentAction extends KJAction {
	ProductViewQuery query = new ProductViewQuery();
	LoanQuery loan = new LoanQuery();

	public RentAction(HttpServletRequest request, HttpServletResponse response)
			throws IOException {
		super(request, response);
	}

	@Override
	public String doAction() throws ServletException, IOException, SQLException {
		String forwardURI = "showItem.jsp";
		ProductBean pBean = new ProductBean();
		
		
		if(doRent(reqInt("pid"), reqStr("cid")) == 0)
			request.setAttribute("error", "ID ´ ڰ ϴ.");
		
		pBean = query.getAllProductInfo(reqInt("pid"));
		request.setAttribute("product", pBean);
		request.setAttribute("includePage", forwardURI);
		return "kj/index.jsp";
	}
	private int doRent(int pid, String cid) {
		KJMap params = new KJMap();
		int lid = loan.getMaxLID(LoanQuery.getLID);
		params.put(1, lid+1);
		params.put(2, pid);
		params.put(3, cid);
		return loan.setDB(LoanQuery.doRent, params);
	}
	
	public String getBorrower(int pid) {
		String borrower = "0";
		borrower = loan.getString(LoanQuery.getBorrwer, pid);
		return borrower;
	}

}
