package koreajang.dao;

import koreajang.KJQuery;
import koreajang.bean.CustomerBean;
import koreajang.etc.KJList;
import koreajang.etc.KJMap;

public class CustomerListQuery extends KJQuery {
	
	public static final String IsLogin =
		"SELECT * " +
		"FROM customer " +
		"WHERE customer_id=? " +
		"AND passwd=?";
	//ID ˻
	public static final String getIdSList = 
		"SELECT * " +
		"FROM customer " +
		"WHERE customer_id=? ";
	
	//̸ ˻
	public static final String getNameSList = 
		"SELECT * " +
		"FROM customer " +
		"WHERE customer_name=? ";
	
	//ȭȣ ˻
	public static final String getPhonSList = 
		"SELECT * " +
		"FROM customer " +
		"WHERE phonnum=? ";
	
	public KJList IsLogin(String customer_id, String passwd){
		KJList list;
		KJMap params = new KJMap();
		CustomerBean cb = new CustomerBean();
		
		params.put(1, customer_id);
		params.put(2, passwd);
		
		if( (list = getList(CustomerListQuery.IsLogin, params, cb)) != null ) {
			return list;
		}
		else {
			return null;
		}
	}
	public KJList getIdSList(String customer_id) {
		KJList list;
		KJMap params = new KJMap();
		CustomerBean cb = new CustomerBean();
		
		params.put(1, customer_id);
		
		if( (list = getList(CustomerListQuery.getIdSList, params, cb)) != null ) {
			return list;
		}
		else {
			return null;
		}
	}
	
	public KJList getNameSList(String name) {
		KJList list;
		KJMap params = new KJMap();
		CustomerBean cb = new CustomerBean();
		
		params.put(1, name);
		
		if( (list = getList(CustomerListQuery.getNameSList, params, cb)) != null ) {
			return list;
		}
		else {
			return null;
		}
	}
	
	public KJList getPhonSList(String phonnum) {
		KJList list;
		KJMap params = new KJMap();
		CustomerBean cb = new CustomerBean();
		
		params.put(1, phonnum);
		
		if( (list = getList(CustomerListQuery.getPhonSList, params, cb)) != null ) {
			return list;
		}
		else {
			return null;
		}
	}
}
