package koreajang.dao;

import koreajang.KJBean;
import koreajang.KJQuery;
import koreajang.etc.KJMap;

public class LoanQuery extends KJQuery {
	public static final String isReturn = 
		"SELECT COUNT(LID) c FROM loan WHERE pid=? and is_return=0";
	public static final String getLID = 
		"SELECT MAX(LID) MAXLID FROM LOAN"; 
	public static final String doRent = 
		"INSERT INTO LOAN (LID, PID, CUSTOMER_ID, IS_RETURN, LOAN_DATE) "+
		" VALUES(?,?,?,0,SYSDATE)";
	public static final String getBorrwer = 
		"SELECT CUSTOMER_ID FROM LOAN WHERE PID=? AND IS_RETURN=0";
	public static final String doReturn = 
		"UPDATE LOAN SET IS_RETURN = 1 WHERE PID=?";

	public String getString(String query, int param) {
		String result ="0";
		connect();
		try{
			System.out.println("q : " + query.toString());
			pstmt = conn.prepareStatement(query);
			pstmt.setInt(1, param);
			rs = pstmt.executeQuery();
			if(rs.next()) {
				result = rs.getString("CUSTOMER_ID");
			}
			
		}
		catch(Exception e) {
			e.printStackTrace();
			return null;
		}
		finally {
			disconnect();
		}
		return result;
	}

	
	public int getMaxLID(String query) {
		//  :  1
		int result = 0;
		connect();
		try{
			System.out.println("q : " + query.toString());
			pstmt = conn.prepareStatement(query);
			rs = pstmt.executeQuery();
			if(rs.next()) {
				result = rs.getInt("MAXLID");
				System.out.println("maxlid" + result );
			}
		}
		catch(Exception e) {
			e.printStackTrace();
		}
		finally {
			disconnect();
		}
		
		return result;
	}
}
