create table customer(
	customer_id varchar2(20) not null,
	customer_name varchar2(20) not null,
	passwd varchar2(20) not null,
	address varchar2(50),
	phonnum varchar2(20),
	joindate date,
	auth int,
	ratings int,
	primary key(customer_id)
);

create table product(
	pid int not null,
	kind int not null,
	catename varchar2(20),
	title varchar2(100) not null,
	writer varchar2(50),
	publisher varchar2(50),
	etc varchar(300),
	primary key(pid)
);

create table loan (
	lid int not null,			--߰
	pid int	not null,
	customer_id varchar2(20) not null,
	is_return int not null,
	loan_date date not null,
	primary key(lid),			--߰
  foreign key(pid) references product(pid) on delete cascade, 
  foreign key(customer_id) references customer(customer_id) on delete cascade
);

create sequence product_no
	increment by 1
	start with 1
	maxvalue 100000000000000000
	nocycle;

	
insert into product values(100,1,'','  1','̰','Ƿ罺',null);
insert into product values(101,1,'','  2','̰','Ƿ罺',null);
insert into product values(102,1,'ܱ','ο  Ÿ','Ʈ Ƴ','',null);
insert into product values(103,1,'ܱ','ü','ж ׶','ü',null);
insert into product values(104,1,'','ұ ','','LAO',null);
insert into product values(105,1,'',' ','','LAO',null);
insert into product values(106,2,'','5','̺ Ŭ','LAO',null);
insert into product values(107,2,'','ť',' ƿ','LAO',null);
insert into product values(108,2,'','ϴ̽ÿ','Ӽ','LAO',null);
insert into product values(109,2,'',' Գ','','LAO',null);
insert into product values(110,2,'','ũ3',' ũ̺','LAO',null);

insert into product values(111,1, 'ܱ', '', '', 'å', null);
insert into product values(112,1, 'ܱ', '', '', 'å', null);
insert into product values(113,1, 'ܱ', 'δī,ױ ϴ', 'Ŀڿ', 'å', null);
insert into product values(114,1, 'ܱ', '׸ 뱤', 'ڽ īŰ', 'å', null);
insert into product values(115,1, 'ܱ', 'Ȥ   ° ϴ ѹ ȭ ̴', 'Ʈ 㽺ŲƮ', 'å', null);
insert into product values(116,1, 'ܱ', '', 'Ʈ 㽺ŲƮ', 'å', null);
insert into product values(117,1, 'ܱ', '-߻-', '', '迵', null);
insert into product values(118,2, '', ' ', 'ī', 'ȥ', null);
insert into product values(119,2, '', ' ȣ̿ ', 'ٳ ', 'ȥ', null);
insert into product values(120,2, '', '', 'Ű', 'ȥ', null);

insert into product values(130,1,'','1  1','̰','Ƿ罺',null);
insert into product values(131,1,'','1  2','̰','Ƿ罺',null);
insert into product values(132,1,'ܱ','1ο  Ÿ','Ʈ Ƴ','',null);
insert into product values(133,1,'ܱ','1ü','ж ׶','ü',null);
insert into product values(134,1,'','1 ','','LAO',null);
insert into product values(135,1,'','1 ','','LAO',null);
insert into product values(136,2,'','15','̺ Ŭ','LAO',null);
insert into product values(137,2,'','ť1',' ƿ','LAO',null);
insert into product values(138,2,'','1̽ÿ','Ӽ','LAO',null);
insert into product values(139,2,'','1 Գ','','LAO',null);
insert into product values(140,2,'','1ũ3',' ũ̺','LAO',null);
js
insert into product values(141,1, 'ܱ', ' 1', '', 'å', null);
insert into product values(142,1, 'ܱ', ' ', '', 'å', null);
insert into product values(143,1, 'ܱ', ' δī,ױ ϴ', 'Ŀڿ', 'å', null);
insert into product values(144,1, 'ܱ', '  뱤', 'ڽ īŰ', 'å', null);
insert into product values(145,1, 'ܱ', ' Ȥ   ° ϴ ѹ ȭ ̴', 'Ʈ 㽺ŲƮ', 'å', null);
insert into product values(146,1, 'ܱ', ' ', 'Ʈ 㽺ŲƮ', 'å', null);
insert into product values(147,1, 'ܱ', ' -߻-', '', '迵', null);
insert into product values(148,2, '', '  ', 'ī', 'ȥ', null);
insert into product values(149,2, '', '  ȣ̿ ', 'ٳ ', 'ȥ', null);
insert into product values(150,2, '', ' ', 'Ű', 'ȥ', null);