package koreajang.action;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import koreajang.KJAction;
import koreajang.bean.ArticleBean;
import koreajang.dao.ModifyQuery;
import koreajang.dao.ViewQuery;
import koreajang.etc.KJ;

public class ModifyAction extends KJAction {

	ModifyQuery query = new ModifyQuery();
	ViewQuery vQuery = new ViewQuery();
	
	public ModifyAction(HttpServletRequest request, HttpServletResponse response)
	throws IOException {
		super(request, response);
	}

	@Override
	public String doAction() throws ServletException, IOException, SQLException {
		String forwardURI = KJ.BBS +"/main.jsp";
		ArticleBean aBean = new ArticleBean();
		
		//  
		aBean.setNAME(reqStr("name"));
		aBean.setPASSWORD(reqStr("passwd"));
		aBean.setARTICLE_ID(reqInt("article_id"));

		aBean.setContent(reqStr("content"));
		aBean.setEMAIL(reqStr("email"));
		aBean.setTITLE(reqStr("title"));
		
		//  ˻  ȿϸ , ƴϸ ּ ٲٱ
		if(!validateNamePass(aBean)) {
			forwardURI = KJ.BBS + "/modify.jsp";
			forwardURI = addParam(forwardURI, "article_id", request.getParameter("article_id"));
		} else {
			query.modifyArticle(aBean);
		}
		
		if( request.getParameter("category") != null )
			forwardURI = addParam(forwardURI, "category", request.getParameter("category"));
		if( request.getParameter("page") != null)
			forwardURI = addParam(forwardURI, "page", request.getParameter("page"));
		
		return forwardURI;
	}
	
	private boolean validateNamePass(ArticleBean aBean) {
		int tempArticle_ID = aBean.getARTICLE_ID();
		String tempName = aBean.getNAME();
		String tempPassword = aBean.getPASSWORD();		
		
		ArticleBean dbBean = new ArticleBean();
		dbBean = vQuery.getArticle(tempArticle_ID);
		
		return dbBean.getNAME().equals(tempName) && dbBean.getPASSWORD().equals(tempPassword);
	}

}
