package koreajang.action;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import koreajang.KJAction;
import koreajang.bean.CommentBean;
import koreajang.dao.ReplyQuery;
import koreajang.etc.KJ;
import koreajang.etc.KJUtil;

public class ReplyAction extends KJAction {
	ReplyQuery query = new ReplyQuery();
	public ReplyAction(HttpServletRequest request, HttpServletResponse response) throws IOException {
		super(request, response);
	}
	@Override
	public String doAction() throws ServletException, IOException, SQLException {
		String forwardURI = KJ.BBS + "/view.jsp";
		CommentBean cBean = new CommentBean();
		
		setCommentBean(request, cBean);
		query.writeComment(cBean);
		
		forwardURI = addParam(forwardURI, "article_id", ""+cBean.getARTICLE_ID());
		if( request.getParameter("category") != null )
			forwardURI = addParam(forwardURI, "category", request.getParameter("category"));
		if( request.getParameter("page") != null)
			forwardURI = addParam(forwardURI, "page", request.getParameter("page"));
		
		return forwardURI;
	}
	private void setCommentBean(HttpServletRequest request, CommentBean cBean) throws SQLException{
		cBean.setIS_DELETE(0);
		cBean.setCOMMENTS( KJUtil.setBR(reqStr("comment")) );
		cBean.setARTICLE_ID(reqInt("article_id"));
		cBean.setNAME(reqStr("name"));
		cBean.setPASSWORD(reqStr("passwd"));
		cBean.setWRITE_DATE(null);
		cBean.setCOMMENT_ID(query.nextCommentID());
	}

}
