package koreajang.action;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import koreajang.KJAction;
import koreajang.dao.CustomerListQuery;
import koreajang.etc.KJList;

public class CustomerSearchAction extends KJAction {
	CustomerListQuery query = new CustomerListQuery();

	public CustomerSearchAction(HttpServletRequest request,
			HttpServletResponse response) throws IOException {
		super(request, response);
	}

	@Override
	public String doAction() throws ServletException, IOException, SQLException {
		String forward = "kj/index.jsp";
		String searchType = request.getParameter("target").toString();
		String pram = request.getParameter("keyword").toString();
		KJList list = null;
		
		if(searchType.equals("customer_id")){
			list = query.getIdSList(pram);
		}else if(searchType.equals("customer_name")){
			list = query.getNameSList(pram);
		}else if(searchType.equals("phonnum")){
			list = query.getPhonSList(pram);
		}
		
		request.setAttribute("list", list);
		
		request.setAttribute("includePage","memberSearch.jsp");
		return forward;
	}

}
