package koreajang.action;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import koreajang.KJAction;
import koreajang.bean.ProductBean;
import koreajang.dao.ProductViewQuery;

public class ProductViewAction extends KJAction {
	ProductViewQuery query = new ProductViewQuery();

	public ProductViewAction(HttpServletRequest request,
			HttpServletResponse response) throws IOException {
		super(request, response);
	}

	@Override
	public String doAction() throws ServletException, IOException, SQLException {
		String forwardURI = "kj/index.jsp";
		ProductBean pBean = new ProductBean();
		
		
		pBean = query.getAllProductInfo(reqInt("pid"));
		
		request.setAttribute("product", pBean);
		
		return forwardURI;
	}

}
