package koreajang.action;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import koreajang.KJAction;
import koreajang.bean.ProductBean;
import koreajang.dao.LoanQuery;
import koreajang.dao.ProductViewQuery;
import koreajang.etc.KJMap;

public class ReturnAction extends KJAction {
	ProductViewQuery query = new ProductViewQuery();
	LoanQuery loan = new LoanQuery();
	

	public ReturnAction(HttpServletRequest request, HttpServletResponse response)
			throws IOException {
		super(request, response);
	}

	@Override
	public String doAction() throws ServletException, IOException, SQLException {
		String forwardURI = "showItem.jsp";
		ProductBean pBean = new ProductBean();
		
		doReturn(reqInt("pid"));
		
		pBean = query.getAllProductInfo(reqInt("pid"));
		request.setAttribute("product", pBean);
		request.setAttribute("includePage", forwardURI);
		return "/kj/index.jsp";
	}

	private int doReturn(int pid) {
		return loan.updateDB(LoanQuery.doReturn, pid);
	}

}
