package koreajang.etc;

public class KJPage {
	private int startRow;
	private int endRow;
	private int currentPageNum;
	private int totalPageNum;
	private int pageCapacity;
	
	public KJPage(int currentPageNum, int startRow, int endRow, int pageCapacity, int totalPageNum) {
		setCurrentPageNum(currentPageNum);
		setEndRow(endRow);
		setPageCapacity(pageCapacity);
		setStartRow(startRow);
		setTotalPageNum(totalPageNum);
	}
	
	public static int getStartRow(int pageNum, int pageCapacity) throws KJpageException {
		int startRow = 1;
		if(pageNum < 0 || pageCapacity < 0) {
			throw new KJpageException(); 
		}
		
		startRow = pageCapacity*(pageNum-1) + 1;
		return startRow;
	}
	public static int getEndRow(int pageNum, int pageCapacity) throws KJpageException {
		int endRow = 1;
		if(pageNum < 0 || pageCapacity < 0) {
			throw new KJpageException(); 
		}
		
		endRow = pageCapacity*pageNum; 
		return endRow;
	}
	public int getStartRow() {
		return startRow;
	}
	public void setStartRow(int startRow) {
		this.startRow = startRow;
	}
	public int getEndRow() {
		return endRow;
	}
	public void setEndRow(int endRow) {
		this.endRow = endRow;
	}
	public int getCurrentPageNum() {
		return currentPageNum;
	}
	public void setCurrentPageNum(int currentPageNum) {
		this.currentPageNum = currentPageNum;
	}
	public int getTotalPageNum() {
		return totalPageNum;
	}
	public void setTotalPageNum(int totalPageNum) {
		this.totalPageNum = totalPageNum;
	}
	public int getPageCapacity() {
		return pageCapacity;
	}
	public void setPageCapacity(int pageCapacity) {
		this.pageCapacity = pageCapacity;
	}

}
